import math

import pygame

from slam.environment import Environment

PYGAME_RUNNING = True


def main():
    global PYGAME_RUNNING
    environment = Environment(map_path="../data/slam_demo_floor_plan.png", map_height=600, map_width=1200)

    while PYGAME_RUNNING:

        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                PYGAME_RUNNING = False

        # Updates the map
        pygame.display.update()

    exit(0)


if __name__ == "__main__":
    main()
